Subject: Re: Timeouts on slow connections

From: John Goerzen <[email-masked]>
Date: Wed, 27 Sep 2023 23:14:31 -0500

On Sat, Sep 23 2023, Sergey Matveev wrote:

> [[PGP Signed Part:Undecided]]
> Greetings!
>
> *** John Goerzen [2023-09-08 22:32]:
>>timed out" on the client (nncp-call[er] side).  On the nncp-daemon side,
>>I get everything from "ERROR SP with [hostname]: waiting for payload:
>>xdr:decodeArray: data exceeds max slice limit - read: '3155270245'" at
>>the time the client times out, to just EOF errors on the server.
>
> Yeah, sometimes I also got similar things on connections with dropped
> packets/connections. Well, currently I did not bother dealing with it.
> After a while connections will be workabled/resumed anyway.

Hi Sergey, and thanks for your reply!

I never really got it working in this scenario.  I think the problem was
bufferbloat combined with very slow connection and low timeouts.

I actually worked around it by piping nncp-bundle -tx | ssh hostname
nncp-bundle -rx.  Then, nncp-call worked well enough to delete the
packets that were sent (I use -seen).

>>I have tried raising all the timeouts I can, to no avail.  Is there
>>another timeout somewhere that could be raised?
>
> "Onlinedeadline" is generally the main one.

I already have that one set very high (tens of thousands of seconds) so
I'm sure it's not that one :-)

- John